Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0005277
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2008-09-25 18:022011-05-17 10:56
ReporterrafarodaView Statuspublic 
Assigned Toshuehner 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisione900de861372
ProjectionnoneETAnoneTarget Version
OSLinux 32 bitDatabasePostgreSQLJava version1.5
OS VersionUbuntu 7.10Database version8.3Ant version1.7
Product VersionpiSCM revision7694 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0005277: WARNING messages with new JasperReports library

DescriptionThe update of JasperReports library from version 1.3.3 to 3.0.0 [1] causes multiple warnings when launching a Jasper Report.

16:35:15 [http-8883-Processor20] WARN net.sf.jasperreports.engine.xml.JRBoxFactory - The 'rightBorder' attribute is deprecated. Use the <pen> tag instead.
16:35:15 [http-8883-Processor20] WARN net.sf.jasperreports.engine.xml.JRBoxFactory - The 'rightBorderColor' attribute is deprecated. Use the <pen> tag instead.
16:35:15 [http-8883-Processor20] WARN net.sf.jasperreports.engine.xml.JRBoxFactory - The 'topBorder' attribute is deprecated. Use the <pen> tag instead.
16:35:15 [http-8883-Processor20] WARN net.sf.jasperreports.engine.xml.JRBoxFactory - The 'topBorderColor' attribute is deprecated. Use the <pen> tag instead.
16:35:15 [http-8883-Processor20] WARN net.sf.jasperreports.engine.xml.JRBoxFactory - The 'leftBorder' attribute is deprecated. Use the <pen> tag instead.
16:35:15 [http-8883-Processor20] WARN net.sf.jasperreports.engine.xml.JRBoxFactory - The 'leftBorderColor' attribute is deprecated. Use the <pen> tag instead.
16:35:15 [http-8883-Processor20] WARN net.sf.jasperreports.engine.xml.JRBoxFactory - The 'bottomBorder' attribute is deprecated. Use the <pen> tag instead.
16:35:15 [http-8883-Processor20] WARN net.sf.jasperreports.engine.xml.JRBoxFactory - The 'bottomBorderColor' attribute is deprecated. Use the <pen> tag instead.

[1] http://wiki.openbravo.com/wiki/Projects/Library_Auditing/Analysis [^]
Steps To Reproduce1) Go to 'Sales Management || Analysis Tools || Sales Report by Partner and Product'
2) Select an output type then click on 'OK' button.
3) Take a look at your log file (you should have verbosity for Warnings).
TagsClean-up
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate defect 0013503 closeddalsasua Existing Accounting reports show blank white screen because of deprecated attributes in the report 
related to defect 0009330 closediperdomo It is not possible to use iReports 3.X in Openbravo ERP 2.50 
related to feature request 0029566 closedcaristu Upgrade Jasper Libraries 
blocks feature request 0007236 acknowledgedshuehner Tracking issue: Cleanup for 3.00 

-  Notes
(0009375)
iperdomo (developer)
2008-10-06 11:49

The way to solve this issue is to open the template (.jrxml) with a new version of iReport (3.0), and without making any change save it again; this will update the template definition.
(0009376)
rafaroda (developer)
2008-10-06 11:54

In order to avoid conflicts, please do not fix this bug until 'multi-currency-reports-review' [1] and 'accounting-review-projects' [2] have been merged to the trunk.

[1] http://wiki.openbravo.com/wiki/Projects/Multi_Currency_Reports_Review [^]
[2] http://wiki.openbravo.com/wiki/Projects/Accounting_Report_Review [^]
(0014371)
hgbot (developer)
2009-03-04 09:42

Repository: erp/devel/pi
Changeset: 7da49082c5e82e370459938b5aea5e325f5c294e
Author: Hennadzi Mackevich <hennadzi.mackevich <at> opensuite.com>
Date: Wed Mar 04 10:40:21 2009 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/7da49082c5e82e370459938b5aea5e325f5c294e [^]

Fixed bug 0005277: WARNING messages with new JasperReports library

---
M src/org/openbravo/erpCommon/ad_reports/PurchaseOrderDimensionalNoComparative.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportAnnualCertification.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportBankJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportCashJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedger.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedgerJournal.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedger_Previous.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportGuaranteeDateJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerDimensionalAnalysesNoComparativeJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceCustomerJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceDiscountJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoiceVendorJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportInvoicesEditJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportMaterialTransactionEditionJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportOrderNotInvoiceJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportPendingProductionJr.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportProductionRun.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportProjectBuildingSiteJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportProjectProfitabilityJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportProjectProgress.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportPurchaseOrder.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesOrderInvoicedJasper.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesOrderJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesOrderOpenItemEdit.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesOrderProvidedJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesPartnerProduct.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportSalesPartnerProduct_srpt.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportShipmentEdition.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportStandardCostsJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportStandardCostsJR_srptcosts.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportStandardCostsJR_subreport0.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoice.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoicePurchase.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoicePurchaseForeign.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoiceSale.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportTaxInvoiceSaleForeign.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportToInvoiceConsignmentJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportWarehouseDetailInventory.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportWarehousePartnerJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementDailyEdit.jrxml
M src/org/openbravo/erpCommon/ad_reports/ReportWorkRequirementJR.jrxml
M src/org/openbravo/erpCommon/ad_reports/SimpleDimensionalComparative.jrxml
M src/org/openbravo/erpCommon/ad_reports/SimpleDimensionalNoComparative.jrxml
M src/org/openbravo/erpCommon/ad_reports/WeightDimensionalComparative.jrxml
M src/org/openbravo/erpCommon/ad_reports/WeightDimensionalNoComparative.jrxml
M src/org/openbravo/erpCommon/ad_reports/productionReport.jrxml
M src/org/openbravo/erpCommon/ad_reports/productionSubReport.jrxml
M src/org/openbravo/erpReports/C_OrderJR.jrxml
M src/org/openbravo/erpReports/C_OrderLinesJR.jrxml
M src/org/openbravo/erpReports/ReportRegisterByVatJR.jrxml
M src/org/openbravo/erpReports/ReportRegisterLineJR.jrxml
M src/org/openbravo/erpReports/RptC_Invoice.jrxml
M src/org/openbravo/erpReports/RptC_Invoice_Lines.jrxml
M src/org/openbravo/erpReports/RptC_Invoice_TaxLines.jrxml
M src/org/openbravo/erpReports/RptC_OrderPO.jrxml
M src/org/openbravo/erpReports/RptC_OrderPO_Lines.jrxml
M src/org/openbravo/erpReports/RptC_ProposalJr.jrxml
M src/org/openbravo/erpReports/RptC_Remittance.jrxml
M src/org/openbravo/erpReports/RptC_Remittance_Lines.jrxml
M src/org/openbravo/erpReports/RptMA_ProcessPlan.jrxml
M src/org/openbravo/erpReports/RptM_Requisition_Lines.jrxml
M src/org/openbravo/erpReports/SubreportLines.jrxml
M src/org/openbravo/erpReports/subremittance.jrxml
---
(0016959)
iperdomo (developer)
2009-06-04 18:41

In a 2.50MP1 virtual appliance, please check the openbravo.log
$ grep deprecate /var/log/tomcat/openbravo.log

I got the same warnings...

Iván
(0036461)
shuehner (administrator)
2011-05-05 22:24

Marking as resolved. Library update for 3.00 now updated jasper to 4.0.1 and run a conversion task provided by jasper to upgrade the jrxml report definitions.

- Issue History
Date Modified Username Field Change
2008-09-25 18:02 rafaroda New Issue
2008-09-25 18:02 rafaroda Assigned To => cromero
2008-09-25 18:02 rafaroda sf_bug_id 0 => 2128688
2008-09-25 18:02 rafaroda Regression testing => No
2008-09-29 09:50 psarobe Status new => scheduled
2008-09-29 09:50 psarobe Assigned To cromero => iperdomo
2008-09-29 09:50 psarobe fix_in_branch => trunk
2008-10-06 11:49 iperdomo Note Added: 0009375
2008-10-06 11:54 rafaroda Note Added: 0009376
2008-10-06 11:54 rafaroda Assigned To iperdomo => rafaroda
2009-03-03 16:56 Hennadzi Assigned To rafaroda => Hennadzi
2009-03-04 09:42 hgbot Checkin
2009-03-04 09:42 hgbot Note Added: 0014371
2009-03-04 09:42 hgbot Status scheduled => resolved
2009-03-04 09:42 hgbot Resolution open => fixed
2009-03-04 09:42 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/7da49082c5e82e370459938b5aea5e325f5c294e [^]
2009-04-21 10:53 psarobe Status resolved => closed
2009-06-04 11:13 rafaroda Relationship added blocks 0007236
2009-06-04 11:14 rafaroda Tag Attached: Clean-up
2009-06-04 11:15 rafaroda Relationship added related to 0009330
2009-06-04 18:41 iperdomo Assigned To Hennadzi => rafaroda
2009-06-04 18:41 iperdomo Status closed => new
2009-06-04 18:41 iperdomo Resolution fixed => open
2009-06-04 18:41 iperdomo Note Added: 0016959
2009-06-04 18:41 iperdomo Fixed in Version 2.50 =>
2009-06-05 08:03 rafaroda Assigned To rafaroda => shuehner
2009-06-05 08:03 rafaroda Priority low => normal
2009-06-05 08:03 rafaroda Status new => scheduled
2009-06-05 08:03 rafaroda fix_in_branch pi =>
2010-06-02 09:54 iperdomo Relationship added has duplicate 0013503
2011-05-05 22:24 shuehner Note Added: 0036461
2011-05-05 22:24 shuehner Status scheduled => resolved
2011-05-05 22:24 shuehner Fixed in SCM revision http://code.openbravo.com/erp/devel/pi/rev/7da49082c5e82e370459938b5aea5e325f5c294e [^] => https://code.openbravo.com/erp/devel/pi/rev/e900de861372 [^]
2011-05-05 22:24 shuehner Resolution open => fixed
2011-05-17 10:56 iperdomo Status resolved => closed
2015-05-06 16:53 alostale Relationship added related to 0029566


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker